Skip to main content

Match Repair Unit to Product

PUT 

/api/repairs/:repair/lines/:line/match-product

Match Repair Unit to Product.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • product_id (required): integer, exists:products,id
  • sales_order_line_id (optional): integer, exists:sales_order_lines,id
  • component_product_id (optional): integer, exists:products,id

Permission: repairs.update|repairs.bench. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type